DEVICE_PM_SET_PARE(9)

NAME
device_pm_set_parent - Specify power dependency.

SYNOPSIS

void device_pm_set_parent (struct device * dev, struct device * parent);

ARGUMENTS

dev Device who needs power.

parent
    Device that supplies power.

DESCRIPTION

This function is used to manually describe a power-dependency relationship. It may be used to specify a transversal relationship (where the power supplier is not the physical (or electrical) ancestor of a specific device. The effect of this is that the supplier will not be powered down before the power dependent.